<div class="animated fadeIn" *ngIf="!loading">
  <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filter]="filter" filterable="menu" [navigable]="true"
    [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [sortable]="true" [skip]="skip"
    [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" (selectionChange)="selectRow($event)" style="height:69vh;">
    <kendo-grid-column field="Cuarto" title="Cuarto" [width]="130"></kendo-grid-column>
    <kendo-grid-column field="tcuarto" title="Tipo" [width]="130">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="cellaves" title="A.L." [width]="110">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="cecomp" title="Sist." [width]="90" [filterable]="false"></kendo-grid-column>
    <kendo-grid-column field="ceboton" title="Bot." [width]="90" [filterable]="false"></kendo-grid-column>
    <kendo-grid-column field="ccaract" title="Caracteristicas" [width]="180">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <autocomplete-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </autocomplete-filter>
        <!-- <input-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
          </input-filter> -->
      </ng-template>
    </kendo-grid-column>
  </kendo-grid>
</div>
<app-loading *ngIf="loading"></app-loading>